import request from '@/utils/request'


export function getVerify() {
  return request({
    url: '/sys/getVerify',
    method: 'get',
    responseType: 'blob'
  })
}


export function login(data) {
  return request({
    url: 'sys/user/login',
    method: 'post',
    data
  })
}

export function updatePassword(data) {
  return request({
    url: '/auth/user/modifyPass',
    method: 'put',
    data
  })
}

export function logout() {
  return request({
    url: '/sys/user/logout',
    method: 'get'
  })
}
// 收藏、取消收藏
export function toggleCollect(data) {
  return request({
    url: '/bizCollection/update',
    method: 'post',
    data
  })
}

// 点赞、取消点赞
export function toggleLike(data) {
  return request({
    url: '/bizLove/update',
    method: 'post',
    data
  })
}


// /** *
//  * 上传头像
//  */
// export function uploadFileByFile(data) {
//   return request({
//     url: '/common/oss/uploadFileByFile',
//     method: 'post',
//     data,
//     headers: {
//       'Content-Type': 'multipart/form-data'
//     }
//   })
// }

// /** *
//  * 更新头像
//  */
// export function updateHeadPic(params) {
//   return request({
//     url: '/auth/user/updateHeadPic',
//     method: 'get',
//     params
//   })
// }
